[
{
    blockid=snmp;
    help=root_snmp_snmp;
    custom=com.netscape.management.msgserv.RootSNMPControl;
    localvar={
	/* translate this block */
	.snmp.text="SNMP \u8bbe\u7f6e";
	.host.text="\u4e3b\u4ee3\u7406\u4e3b\u673a\u540d:";
	.port.text="\u4e3b\u4ee3\u7406\u7aef\u53e3\u53f7:";
	.enable.text="\u542f\u7528\u7edf\u8ba1\u4fe1\u606f\u6536\u96c6";
	.org.text="\u7ec4\u7ec7\u540d:";
	.description.text="\u670d\u52a1\u5668\u8bf4\u660e:";
	.contact.text="\u8054\u7cfb\u4eba\u4fe1\u606f:";
	.location.text="\u670d\u52a1\u5668\u4f4d\u7f6e:";
	.snmpstart.text="\u542f\u52a8";
	.snmpstop.text="\u505c\u6b62";
	.snmpstatus.text="\u72b6\u6001:";
        sys.snmpcollstart.value="SNMP \u5b50\u4ee3\u7406\u672a\u8fd0\u884c";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.snmp.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
	        gridy=0;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=hostlabel;
	    text=$.host.text;
	    target=hostctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=hostlabel;
	    id=hostctrl;
	    val=$snmp.masterhost.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=portlabel;
	    text=$.port.text;
	    target=portctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=portctrl;
	    val=$snmp.masterport.value;
	    label=portlabel;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=orglabel;
	    text=$.org.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=orglabel;
	    val=$snmp.organization.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=descriptionlabel;
	    text=$.description.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=descriptionlabel;
	    val=$snmp.description.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=contactlabel;
	    text=$.contact.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=contactlabel;
	    val=$snmp.contact.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=locationlabel;
	    text=$.location.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=locationlabel;
	    val=$snmp.location.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    id=snmpenable;
	    text=$.enable.text;
	    val=$snmp.enable.value;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
		        {
		            ctrl=label;
		            text=$.snmpstatus.text;
		        },
		        {
		            ctrl=rigid;
		        },
		        {
		            ctrl=timelabel;
		            text=$sys.snmpcollstart.value;
		        }
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
			{
			    ctrl=button;
			    id=snmpstart;
			    text=$.snmpstart.text;
			    cmd=start;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=button;
			    id=snmpstop;
			    text=$.snmpstop.text;
			    cmd=stop;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
